<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    if($_SERVER['REQUEST_METHOD']=='GET'){
        $busca=$pdo_sgt->prepare("SELECT * FROM tb_proc WHERE id=:id");
        $busca->bindValue(":id",$_GET['id']);
        $busca->execute();
        $dados=$busca->fetch(PDO::FETCH_ASSOC);
        $del = $dados['id'];
    }
    elseif($_SERVER['REQUEST_METHOD']=='POST'){
        $id = isset($_POST["id"]) ? $_POST["id"]: '';
        $id = ($id);
        $marca = isset($_POST["marca"]) ? $_POST["marca"]: '';
        $proc = isset($_POST["proc"]) ? $_POST["proc"]: '';
        $des_proc = isset($_POST["des_proc"]) ? $_POST["des_proc"]: '';
        $atualizar=$pdo_sgt->prepare("UPDATE tb_proc
            SET marca=:marca,proc=:proc,des_proc=:des_proc
            WHERE id=:id");
        $atualizar->bindValue(":id",$id);
        $atualizar->bindValue(":marca",$marca);
        $atualizar->bindValue(":proc",$proc);
        $atualizar->bindValue(":des_proc",$des_proc);
        $atualizar->execute();
        $mensagem = "Dados alterados na tabela: tb_proc - "
            . "Para os campos: marca, proc, des_proc - "
            . "Com os seguintes valores: $marca, $proc, $des_proc.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'> 
            window.location.href='list_proc.php';
        </script>";
    }
?>